<div *ngIf="stockStatistics">
    <mat-card class="mat-elevation-z5">
        <mat-card-header>
            <mat-card-title>Financial highlights</mat-card-title>
        </mat-card-header>
        <mat-card-content>
            <div class="flex-row">
                <div class="market-data-left">
                    <div>
                        <label class="key">Profit margin</label>
                        <span class="value" [ngClass]="{'positive': stockStatistics.profitMargins >= 0, 
                            'negative': stockStatistics.profitMargins < 0}">{{stockStatistics.profitMargins |
                            percent: '1.2-2'}}</span>
                    </div>
                    <div>
                        <label class="key">Operating margin</label>
                        <span class="value"
                            [ngClass]="{'positive': stockStatistics.operatingMargins >= 0, 
                            'negative': stockStatistics.operatingMargins < 0}">{{stockStatistics.operatingMargins | percent:
                            '1.2-2'}}</span>
                    </div>
                </div>

                <div class="market-data-right">
                    <div>
                        <label class="key">Return on assets</label>
                        <span class="value" [ngClass]="{'positive': stockStatistics.returnOnAssets >= 0, 
                            'negative': stockStatistics.returnOnAssets < 0}">{{stockStatistics.returnOnAssets |
                            percent: '1.2-2'}}</span>
                    </div>
                    <div>
                        <label class="key">Return on equity</label>
                        <span class="value" [ngClass]="{'positive': stockStatistics.returnOnEquity >= 0, 
                            'negative': stockStatistics.returnOnEquity < 0}">{{stockStatistics.returnOnEquity |
                            percent: '1.2-2'}}</span>
                    </div>
                </div>
            </div>
            <div class="flex-row">
                <div class="market-data-right">
                    <div>
                        <label class="key">Revenue</label>
                        <span class="value">{{stockStatistics.totalRevenue | currency}}</span>
                    </div>
                    <div>
                        <label class="key">Revenue per share</label>
                        <span class="value">{{stockStatistics.revenuePerShare | currency}}</span>
                    </div>
                    <div>
                        <label class="key">Gross profit</label>
                        <span class="value">{{stockStatistics.grossProfits | currency}}</span>
                    </div>
                    <div>
                        <label class="key">EBITDA</label>
                        <span class="value">{{stockStatistics.ebitda | currency}}</span>
                    </div>
                </div>

                <div class="market-data-left">
                    <div>
                        <label class="key">Total cash</label>
                        <span class="value">{{stockStatistics.totalCash | currency}}</span>
                    </div>
                    <div>
                        <label class="key">Total cash per share</label>
                        <span class="value">{{stockStatistics.totalCashPerShare | currency}}</span>
                    </div>
                    <div>
                        <label class="key">Total debt</label>
                        <span class="value">{{stockStatistics.totalDebt | currency}}</span>
                    </div>
                    <div>
                        <label class="key">Total debt / equity</label>
                        <span class="value">{{stockStatistics.debtToEquity | number}}</span>
                    </div>
                    <div>
                        <label class="key">Current ratio</label>
                        <span class="value">{{stockStatistics.currentRatio | number}}</span>
                    </div>
                </div>
            </div>

        </mat-card-content>
    </mat-card>
</div>